memory_sm75.h File Reference

Architecture-specific operators on memory added for SM75. More...

`#include "cutlass/array.h"`
`#include "cutlass/layout/matrix.h"`
Include dependency graph for memory_sm75.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| cutlass
| cutlass::arch

## Macros

#define | CUDA_NVVM_GET_SHARED_POINTER_SUPPORTED 0
#define | CUDA_NVVM_GET_SHARED_POINTER_ENABLED (CUDA_NVVM_GET_SHARED_POINTER_SUPPORTED)
#define | CUDA_LDMATRIX_SUPPORTED ((__CUDACC_VER_MAJOR__ == 10) && (__CUDACC_VER_MINOR__ >= 2))
#define | CUDA_LDMATRIX_ENABLED (CUDA_LDMATRIX_SUPPORTED)
#define | CUDA_LDMATRIX_ACTIVATED 0

## Functions

template<typename Layout , int MatrixCount>
__device__ void | cutlass::arch::ldsm (Array< unsigned, MatrixCount > &D, void const *ptr)
template<>
__device__ void | cutlass::arch::ldsm< layout::RowMajor, 1 > (Array< unsigned, 1 > &D, void const *ptr)
template<>
__device__ void | cutlass::arch::ldsm< layout::RowMajor, 2 > (Array< unsigned, 2 > &D, void const *ptr)
template<>
__device__ void | cutlass::arch::ldsm< layout::RowMajor, 4 > (Array< unsigned, 4 > &D, void const *ptr)
template<>
__device__ void | cutlass::arch::ldsm< layout::ColumnMajor, 1 > (Array< unsigned, 1 > &D, void const *ptr)
template<>
__device__ void | cutlass::arch::ldsm< layout::ColumnMajor, 2 > (Array< unsigned, 2 > &D, void const *ptr)
template<>
__device__ void | cutlass::arch::ldsm< layout::ColumnMajor, 4 > (Array< unsigned, 4 > &D, void const *ptr)

## Macro Definition Documentation

#define CUDA_LDMATRIX_ACTIVATED 0

#define CUDA_LDMATRIX_ENABLED (CUDA_LDMATRIX_SUPPORTED)

#define CUDA_LDMATRIX_SUPPORTED ((__CUDACC_VER_MAJOR__ == 10) && (__CUDACC_VER_MINOR__ >= 2))

#define CUDA_NVVM_GET_SHARED_POINTER_ENABLED (CUDA_NVVM_GET_SHARED_POINTER_SUPPORTED)

#define CUDA_NVVM_GET_SHARED_POINTER_SUPPORTED 0